#!/bin/sh
#-----------------------------------------------------------------------------
# 
# $Id: tmp2tex.tcl,v 1.8 2003/08/26 14:50:52 tschiex Exp $
#
# Module       : cgsh/example
# Projet       : CartaGene
#
# Description  : rsume et texify les exemples.
#
#-----------------------------------------------------------------------------
#-INRA--------------------Station de Biomtrie et d''Intelligence Artificielle
#-----------------------------------------------------------------------------
#\
exec tclsh $0 $@

source init.tcl

set leficid [open  [lindex $argv 0] r]

puts "\{\\small\\begin{verbatim}"

#
# deuxime passe
#

set resum 0
set notronc 0

foreach ligne [split [read $leficid] \n] {
       
    set ligne [string trimright $ligne]

    if {[string first  "@dbutnotronc" $ligne] == 0 } {
	set notronc 1
    } elseif {[string first  "@finotronc" $ligne] == 0 } {
	set notronc 0
    } elseif {[string first  "@dbutrsum" $ligne] == 0 } {
	set resum 1
    } elseif {[string first  "@finrsum" $ligne] == 0 } {
	set resum 0
    } elseif {[string first  "@dbutout" $ligne] == 0 } {
	puts "\\end{verbatim}\}"
	set savenotronc $notronc
	set notronc 2
    } elseif {[string first  "@finout" $ligne] == 0 } {
	set notronc $savenotronc
	puts "\{\\small\\begin{verbatim}"
    } elseif {$resum == 0 && $notronc == 0} {
	if {[string length $ligne] > 78} {
	    set ligne "[string range $ligne 0 74]..."
	}
	puts $ligne
    } elseif {$resum == 0 && $notronc != 2} {
	while {[string length $ligne] > 78} {
	    set tligne "[string range $ligne 0 76]\\"
	    puts $tligne
	    set ligne [string range $ligne 77 end]
	}
	puts $ligne
    } elseif {$notronc == 2} {
	puts $ligne
    }
}

close $leficid

puts "\\end{verbatim}\}"


